2.26.0:

2009-02-02  Vincent Untz  <vuntz@gnome.org>

	* libgnomevfs/libgnomevfsmm/application-registry.cc:
	supports_mime_type(), supports_uri_scheme():
	Actually return the bool.
	Bug #570107.

2009-01-24  Deng Xiyue  <manphiz@gmail.com>

	* Change license header to mention Lesser General Public License
	version 2.1 instead of Library General Public License, to be
	consistent with COPYING.

2.24.0:

2008-09-21  Murray Cumming  <murrayc@murrayc.com>

	* Increased version for the GNOME 2.24 release.

2.22.0:

2007-12-31  Armin Burgmeier  <armin@openismus.com>

	* configure.in: Detect whether building for Windows (copied from
	glibmm) and added AC_LIBTOOL_WIN32_DLL to create a shared library.

	* build_shared/Makefile_build.am_fragment: Link with  -no-undefined on
	Windows, otherwise libtool does not create a DLL because undefined
	symbols are not allowed in Windows DLLs.

	* libgnomevfs/libgnomevfsmm/Makefile.am: Don't build dns-sd.cc on
	Windows, because libgnomevfs does not implement that functionality on
	Windows.

2.21.1:

2007-11-11  Armin Burgmeier  <armin@openismus.com>

	* libgnomevfs/src/enums.hg: Rename enumerators from GnomeVFSResultType
	to begin with ERR_ instead of ERROR_, to avoid conflicts with Windows
	defined (bugzilla.gnome.org bug 494360). Also rename FILE_TYPE_UNKNOWN
	to FILE_TYPE_UNKNOWN_TYPE. Keep the old names on non-Windows platforms
	for compatibility.

	* libgnomevfs/src/drive.hg:
	* libgnomevfs/src/drive.ccg:
	* libgnomevfs/src/volume.hg:
	* libgnomevfs/src/volume.ccg: Don't include the eject(), mount(),
	unmount() and connect_to_server() on Windows, because gnome-vfs does
	not implement them.

	* libgnomevfs/src/async-handle-2.ccg:
	* libgnomevfs/src/async-handle.ccg:
	* examples/directory_visit/main.cc: Use the new enumerators. 

	Bug #494360.

2007-10-06  Armin Burgmeier  <armin@openismus.com>

	* examples/transfer/main.cc:
	* examples/async/main.cc: Fixed build with disabled exceptions.

2007-09-09  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Add defines to PREDEFINED so that documentation 
	is built wihout hiding optional API, such as use of exceptions. 

2007-05-20  Armin Burgmeier  <armin@opensimus.com>

	* libgnomevfs/libgnomevfsmm/directory-handle.cc: Fixed build with
	disabled exceptions.

2007-04-24  Yselkowitz <yselkowitz@users.sourceforge.net>

        * scripts/macros.m4: Check for both m4 and M4 in the GNU m4 output,
        to fix the build on some platforms.
        Bug #423990

2007-01-29  Marko Anastasov  <marko@marko.anastasov.name>

	* libgnomevfs/src/async-handle-2.ccg: Removed a forgotten debug statement.
	* examples/async/main.cc: Works ok now, demonstrates how to
	open, read and transfer.

2007-01-28  Marko Anastasov  <marko@marko.anastasov.name>

	* configure.in:
	* examples/Makefile.am:
	* examples/async/Makefile.am:
	* examples/async/main.cc: Added example. Not fully working yet.
	* libgnomevfs/src/async-handle-2.ccg:
	* libgnomevfs/src/async-handle-2.hg: Handle: Added a Priority enum, 
	with preset values, to match the GNOME_VFS_PRIORITY_* defines.

2006-11-28  Marko Anastasov  <marko@marko.anastasov.name>

	* libgnomevfs/libgnomevfsmm/async-2.cc:
	* libgnomevfs/libgnomevfsmm/async-2.h:
	* libgnomevfs/libgnomevfsmm/transfer-2.cc:
	* libgnomevfs/libgnomevfsmm/transfer-2.h:
	* libgnomevfs/src/async-handle-2.ccg:
	* libgnomevfs/src/async-handle-2.hg:
	* libgnomevfs/src/transfer-progress.ccg:
	* libgnomevfs/src/transfer-progress.hg: New files.
	Changed the SlotTransfer signature for correct behaviour - allow
	returning various XFER_ERROR/OVERWRITE_ACTIONs.
	The Transfer and Async namespaces are deprecated now, and replaced
	by Transfer2 and Async2.
	Bug #351217.
	* docs/Makefile.am: Updated so that the docs are built by default
	from the top level directory.
	* examples/transfer/main.cc: Modified to demonstrate the correct
	use of SlotTransfer, and that Transfer2 should be used.
	* libgnomevfs/README: Put the correct explanation. It used to
	be copied and pasted from libgdamm.
	* libgnomevfs/libgnomevfsmm.h:
	* libgnomevfs/libgnomevfsmm/Makefile.am: Include new files.
	* libgnomevfs/libgnomevfsmm/async.cc: These methods are now
	implemented in terms of Async2.
	* libgnomevfs/libgnomevfsmm/async.h: Added deprecation notice.
	* libgnomevfs/libgnomevfsmm/transfer.cc: Implemented remove_list()
	which takes a StringArrayHandle (used to be empty).
	* libgnomevfs/libgnomevfsmm/transfer.h: Added deprecation notice.
	Removed TODOs regarding question whether XFER_DEFAULT as a default
	TransferOptions argument does anything useful (yes).
	* libgnomevfs/src/Makefile_list_of_hg.am_fragment: Build new files.
	* libgnomevfs/src/async-handle.ccg:
	* libgnomevfs/src/async-handle.hg: Removed top level namespace
	stuff, such as the value_type() function, class FileInfoResult etc,
	as they are in async-handle-2.* now. Include async-handle-2.h so that
	it works ok.

2007-03-09  Murray Cumming  <murrayc@murrayc.com>

	* Increased version for the GNOME 2.18 release.

2.16.1:

2006-10-31  Matt Hoosier  <mwhoosier@gmail.com>

	* libgnomevfs/libgnomevfsmm/application-registry.cc:
	* libgnomevfs/libgnomevfsmm/application-registry.h:
	* libgnomevfs/libgnomevfsmm/directory-handle.cc:
	* libgnomevfs/libgnomevfsmm/directory-handle.h:
	* libgnomevfs/libgnomevfsmm/dns-sd.cc:
	* libgnomevfs/libgnomevfsmm/dns-sd.h:
	* libgnomevfs/libgnomevfsmm/handle.cc:
	* libgnomevfs/libgnomevfsmm/handle.h:
	* libgnomevfs/libgnomevfsmm/mime-handlers.cc:
	* libgnomevfs/libgnomevfsmm/mime-handlers.h:
	* libgnomevfs/libgnomevfsmm/monitor-handle.cc:
	* libgnomevfs/libgnomevfsmm/monitor-handle.h:
	* libgnomevfs/libgnomevfsmm/private.cc:
	* libgnomevfs/libgnomevfsmm/private.h:
	* libgnomevfs/libgnomevfsmm/transfer.cc:
	* libgnomevfs/libgnomevfsmm/transfer.h:
	* libgnomevfs/libgnomevfsmm/utils.cc:
	* libgnomevfs/libgnomevfsmm/utils.h:
	* libgnomevfs/src/async-handle.ccg:
	* libgnomevfs/src/async-handle.hg:
	* libgnomevfs/src/drive.ccg:
	* libgnomevfs/src/mime-action.ccg:
	* libgnomevfs/src/mime-action.hg:
	* libgnomevfs/src/mime-application.ccg:
	* libgnomevfs/src/mime-application.hg:
	* libgnomevfs/src/resolve-handle.ccg:
	* libgnomevfs/src/resolve-handle.hg:
	* libgnomevfs/src/uri.ccg:
	* libgnomevfs/src/uri.hg:
	* libgnomevfs/src/volume.ccg:
	* examples/directory_list/main.cc:
	* examples/directory_visit/main.cc:
	* examples/mime_type_list/main.cc:
	* examples/monitor/main.cc:
	* examples/simple/main.cc:
	* examples/transfer/main.cc: Add ifdefed code so that gnome-vfsmm can 
	build when glibmm was built with --enable-api-exceptions=no.
	Bug #365038.

2006-10-19  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/libgnomevfsmm/directory-handle.cc: 
	DirectoryHandle::close(): Set gobj() to null, to prevent 
	us from trying to close again later in the destructor.
	Bug #349334 from sosuiming.

2.16.0:

2.15.1:

2006-07-13  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/libgnomevfsmm/mime-handlers.cc:
	* libgnomevfs/libgnomevfsmm/mime-handlers.h: Removed 
	get_default_component(), get_short_list_components(), 
	get_all_components(), id_in_component_list(), and 
	id_list_from_component_list() because the underlying 
	functions have been removed from gnome-vfs. This _is_ 
	an ABI break, but we are taking this extraordinary step 
	because it is very unlikely that anyone is using these 
	methods, and in order to remove the dependency on Bonobo.
	get_default_component() was actually never implemented 
	so it cannot have been used.
	If you really need to use these methods, you should use 
	the underlying C functions, which have been moved to 
	libbonobo.

2.14.0:

2006-03-16  Murray Cumming  <murrayc@murrayc.com>

	* NEWS:
	* configure.in: Increased version for GNOME 2.14.

2005-12-06   Jonathon Jongsma <jonathon.jongsma@gmail.com>

	* configure.in: Look for gmmproc in generic libdir 
	directory, because that is not always lib/. This 
	fixes the build on some 64-bit systems.

2005-11-16  Volker Stroebel  <volker@planetpenguin.de>

       * libgnomevfs/src/file-info.hg:
       Added specialized Glib::Container_Helpers::TypeTraits
       template for Glib::RefPtr<Gnome::Vfs::FileInfo>

2.12.0:

API additions compared to 2.10:
* DirectoryHandle: ADDED read_next() without the bool& exists parameter.
  (Michael J M Thomson)
* Drive: Added get_mounted_volumes(), and deprecated 
  get_mounted_volume().
* Uri: Added format_for_display(), make_from_input(), make_from_input(), 
  make_canonical_strip_fragment(), uris_match(), get_scheme(), 
  make_from_shell_arg().
* Volume: Added get_hal_udi().
* Added url_show().
  (Murray Cumming)

2.11.1:

2005-05-26  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/src/async-handle.hg: Removed an extra 
	semi-colon that caused a warning.

2005-04-15  Michael J M Thomson <mjmt@internode.on.net>

	* libgnomevfs/libgnomevfsmm/directory-handle.cc:
	* libgnomevfs/libgnomevfsmm/directory-handle.h:
	Added Glib::RefPtr<FileInfo> DirectoryHandle::read_next(), 
	without the bool& exists parameter.

2005-04-07  Murray Cumming <murrayc@murrayc.com>

	* libgnomevfs/libgnomevfsmm/utils.cc:
	* libgnomevfs/libgnomevfsmm/utils.h:
	Add url_show().
	* libgnomevfs/src/drive.hg:
	Add get_mounted_volumes(), and deprecate 
	get_mounted_volume().
	* libgnomevfs/src/uri.hg:
	Add format_for_display(), make_from_input(), make_from_input(), 
	make_canonical_strip_fragment(), uris_match(), get_scheme(), 
	make_from_shell_arg().
	* libgnomevfs/src/volume.hg:
	Add get_hal_udi(), which was not actually generated in 2.10.
	* tools/m4/convert_gnome_vfsmm.m4:
	Added conversion for the new enum.

This is the HEAD branch.

2.10.0:

2004-10-12  Murray Cumming  <murrayc@murrrayc.com>

	* libgnomevfs/src/volume-monitor.ccg: Remove extra create() 
	implementation, to fix the build.

2004-09-23  Bryan Forbes  <bryan@reigndropsfall.net>

	* configure.in: bump required version of gnome-vfs to 2.8.1
	* libgnomevfs/src/volume-monitor.hg:
	* tools/m4/convert_gnome_vfsmm.m4: added refreturn on the create method
	because of change to how referencing of this class is done.

2.8.0:

2004-09-12  Murray Cumming  <murrayc@murrayc.com>
	* Increased version for GNOME 2.8 release version.
  
2.7.2:

2004-07-30  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/src/resolve-handle.ccg: next(): Use the renamed C 
	gnome-vfs function, to fix the build.

2.7.1:

2004-07-17  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/src/: Added resolve-handle.[hg|ccg] and address.[hg|ccg]
	to wrap new API in gnome-vfs.
	* libgnomevfs/src/libgnomevfs_methods.defs: Regenerated again with 
	h2defs.py.
	* libgnomevfs/src/drive.hg, volume.hg: Add get_hal_udi() methods. 

2004-07-16  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/libgnomevfsmm/: Added dns-sd.[h|cc] with wrappers for 
	functions in gnome-vfs-dns-sd.h.
	* libgnomevfs/libgnomevfsmm.h: Added include for dns-sd.h
	* libgnomevfs/libgnomevfsmm/Makefile: Added dns-sd.[h|cc].
	* libgnomevfs/src/libgnomevfs_enums.defs: Regenerated with 
	glibmm/tools/enums.pl with some hand-editing. This gives us new enums 
	and new enum values.
	* See the TODO in the header - the API might need a slight change.

2004-07-08  Murray Cumming  <murrayc@murrayc.com>
 
 	* libgnomevfs/src/async-handle.[hg|ccg]: Modified patch from 
 	Hicham Bouhmadi to delete the slot proxies only after they are not 
 	needed anymore, instead of deleting them before the callback is called.
 	This leaves some memory leaks, so I added g_warnings() about that. We 
 	need to fix gnome-vfs for this - see bug #144627.

2004-07-09  Murray Cumming  <murrayc@murrayc.com>

	* examples/simple/main.cc: Use sensible octal file permissions.

2004-07-01  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/src/libgnomevfs_methods.defs: Updated with h2defs.py.

This is the HEAD branch, for GNOME 2.7/2.8

2.6.1:

2004-04-23  Bryan Forbes  <bryan@reigndropsfall.net>

	* libgnomevfs/src/volume-monitor.hg: make create() method static.
	This class could not be used before this, so this ABI change should be 
	non-breaking.

2.6.0:

2004-04-12  Bryan Forbes  <bryan@reigndropsfall.net>

	* tools/extra_defs_gen/Makefile.am: link against the 2.4 release of glibmm.

2.5.4:

2004-04-07  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/src/async-handle.[hg|ccg]: Async::Handle::file_control():
	Remove the useless DestroyNotify parameter and create an internal 
	SIgnalProxy destroy handler that will be called to destroy the proxy.

2004-04-07  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/src/mimemonitor.hg: Added a static get() method, to get
	the one and only instance, and wrap the signal.
	* libgnomevfs/src/mimeapplication.[hg|ccg]: Make several get method 
	const. Rename one of the get_value() methods to get_value_bool() 
	because we can not overload on return type.

2004-04-06  Alexander Nedotsukov <bland@FreeBSD.org>

 	* Fixed a number of installation directories messed up
 	after 2.0 -> 2.6 change.

2004-04-06  Murray Cumming  <murrayc@murrayc.com>

	* libgnomevfs/src/async-handle.hg: created copy and free functions for 
	the FileInfoResult and FindDirectoryResult C structs, and wrapped them
	as copyable opaque structs. Otherwise, there is no possible memory 
	management for them. I will try to add these functions to gnome-vfs 
	itself. Added Traits for both, so that we can copy them by value in
	ListHandles. Added _MEMBER_GET()s for the public struct fields, so that
	people can actually do something interesting with these.
	* libgnomevfs/src/uri.hg: Removed the TopLevelUri class, and the 
	get_top_level() methods - we can wrap them when we have time to get it
	right. See comments in the code.

2.5.3:

2004-03-28  Murray Cumming  <murrayc@murrayc.com>

	* Added libgnomevfs/libgnomevfsmm/utils/[h|cc], with various functions
	from gnome-vfs-utils.h, such as escaping/unescaping of strings.

2004-03-02  Bryan Forbes  <mxpxfifws@yahoo.com>
 
 	* libgnomevfs/src/async-handle.[hg|ccg]:
 	* libgnomevfs/src/enums.[hg|ccg]: added Glib::Value<> stuff for GTypes
 	because gmmproc does not generate these correctly.

2.5.2:

2004-03-02  Murray Cumming  <murrayc@murrayc.com>

	* Made some const corrections to the previous change, and
	added some TODO comments.

2004-02-29  Bryan Forbes  <mxpxfifws@yahoo.com>

	* Updated for new vfs classes: GnomeVFSDrive, GnomeVFSVolume,
	GnomeVFSVolumeMonitor.
	* Added async support.
	(Though there are several errors that I am about to fix in my
	next commit.)

2.5.1:
	
2004-02-13  Murray Cumming  <murrayc@murrayc.com>

	* Updated for latest libsigc++ 2 API.

2.5.0:

2003-12-21  Murray Cumming  <murrayc@usa.net>

	* This is now gnome-vfsmm 2.5 on HEAD, which will become 
	gnome-vfsmm 2.6. This requires glibmm 2.4 (but not gtkmm) and is
	parallel-installable with gnome-vfsmm 1.3/2.0.

1.3.5:

2003-12-06  Murray Cumming  <murrayc@usa.net>

	* libgnomevfs/libgnomevfsmm/handle.cc:
	- close the handle in the destructor.
	- read(): Do not throw an exception for an end-of-file.

1.3.4:

2003-12-05  Murray Cumming  <murrayc@usa.net>

	* libgnomevfs/libgnomevfsmm/transfer.[h|cc]: Added string-based 
	overloads of all methods, favouring the string-based methods because
	that is likely to be the more common way to refer to URIs in future.

2003-11-30  Murray Cumming  <murrayc@usa.net>

	* libgnomevfs/src/uri.hg: Uri::to_string(): Added default argument
	value.
	* libgnomevfs/libgnomevfsmm/transfer.[h|cc]: commented-out the 
	list-based transfer method(), and renamed it to transfer_list(). We
	can not just overload on the methods because the compiler says that
	is ambiguous.

2003-10-17  Alberto Paro  <alberto@paro.homeunix.org>

	* gnome-vfsmm/configure.in: fixed reference to directories for doc generation
	* docs/reference/Doxyfile.in: fixed doc generation

2003-08-26  Murray Cumming  <murrayc@lusa.net>

	* tools/m4/convert_libgnomevfs.m4: Use C casts instead of
	static_casts<> for broken old gcc 2.95.4 compilers. Deals with
	bug #120619.

1.3.3:

2003-08-22  Murray Cumming  <murrayc@usa.net>

	* configure.in,
	  libgnomevfsmm/Makefile.am,
	  libgnomevfsmm/gnome-vfsmm-2.0.pc.in:
	Used variables to keep the version numbers in sync.
	Added libgnomevfsmm/gnome-vfsmm-2.0-uninstalled.pc.in for 
	gnomemm-all.

2003-08-22  Gerald Henriksen  <ghenriks@rogers.com>

	* Added spec file.
	
2003-07-31  Bryan Forbes  <mxpxfifws@yahoo.com>

	* libgnomevfs/src/file-info.[hg|ccg]: Added an is_symlink() method.

1.3.2:
	
2003-07-27  Murray Cumming  <murrayc@usa.net>

	* libgnomevfs/libgnomevfsmm/Makefile.am: Added private.h.

2003-07-22  Murray Cumming  <murrayc@usa.net>

	* libgnomevfs/libgnomevfsmm/transfer.h,
	  examples/transfer/main.cc: Make the ProgressInfo& in the callback
	const because nobody should ever need to change it, I think.

2003-07-22  Murray Cumming  <murrayc@usa.net>

	* libgnomevfs/src/transfter-progress.[hg|ccg]: Made get_*() methods
	const.

2003-07-21  Murray Cumming  <murrayc@usa.net>

	* libgnomevfs/src/uri.hg: Made is_parent(), has_parent(), 
	and to_string() const. Added const version of get_parent().

2003-07-21  Bryan Forbes  <mxpxfifws@yahoo.com>
	* libgnomevfs/libgnomevfsmm/types.h: added this file with two typedefs in
	it.
	* libgnomevfs/libgnomevfsmm/Makefile.am: added types.h to the list of h
	files.
	* libgnomevfs/libgnomevfsmm/handle.h: included types.h.
	* libgnomevfs/src/file-info.hg: removed two typedefs from this file (they
	are now in types.h) and included types.h.
	* libgnomevfs/src/transfer-progress.[hg|ccg]: added the ProgressInfo class
	wrapped with _GENERIC_CLASS(); added accessor methods for all class members.
	* libgnomevfs/src/Makefile_list_of_hg.am_fragment: added
	transfer-progress.hg to the list.
	* libgnomevfs/libgnomevfsmm/transfer.[h|cc]: changed functions to use newly
	created ProgressInfo class.
	* libgnomevfs/libgnomevfsmm/libgnomevfsmm.h: included types.h and
	transfer-progress.h.
	* examples/transfer/main.cc: updated to use the newly created ProgressInfo
	class.
	* libgnomevfs/libgnomevfsmm/.cvsignore: added transfer-progress.[h|cc] to
	the list.
	* libgnomevfs/libgnomevfsmm/private/.cvsignore: added transfer-progress_p.h
	to the list.

2003-07-21  Murray Cumming  <murrayc@usa.net>

	* Added some TODOs and whitespace.
	* libgnomevfs/libgnomevfsmm/transfer.h: Changed defaults to abort
	rather than query because this is more likely to make sense with the
	default null value for the query slot.

2003-07-21  Bryan Forbes  <mxpxfifws@yahoo.com>
	* libgnomevfs/libgnomevfsmm/transfer.[h|cc]: changed 'delete_' functions to
	'remove'.

2003-07-20  Bryan Forbes  <mxpxfifws@yahoo.com>
	* examples/transfer/main.cc: fixed segfault and added messages telling what
	exactly is happening during the transfer.
	* libgnomevfs/libgnomevfsmm/transfer.cc: default result of c_callback
	changed to FALSE instead of 0.

2003-07-18  Bryan Forbes  <mxpxfifws@yahoo.com>
	* libgnomevfs/src/mime-application.[h|cc]: changed "create" functions to
	constructors, removed one of them (it was redundant), and now we are
	allocating memory to prevent a segfault (thanks Murray!!).

2003-07-17  Bryan Forbes  <mxpxfifws@yahoo.com>
	* libgnomevfs/src/mime-application.[h|cc]: added "convenience functions" for
	application registry functions.  I think this gives this class a more object
	oriented feel.
	* libgnomevfs/libgnomevfsmm/handle.[h|cc]: removed monitor_add and
	monitor_cancel since these two functions are methods of the MonitorHandle
	class.
	* libgnomevfs/libgnomevfsmm/mime-action.[h|cc]: this class is frelled; I
	need to figure out what to do with it.
	* libgnomevfs/libgnomevfsmm/mime-handlers.[h|cc]: added the last of the
	unwrapped mime functions but left Bonobo_ServerInfo unwrapped; used
	GnomeVFSMimeAction instead of my class because of reason above; documented
	the functions as well.
	* made sure all files that needed to use private.h are using it and not
	their own stupid handle_result().

2003-07-17  Murray Cumming  <murrayc@usa.net>

	* Added libgnomevfs/libgnomevfsmm/private.[h|cc] containing 
	a shared handle_result() method.
	* Added libgnomevfs/libgnomevfsmm/transfer.[h|cc] with the beginnings
	of wrappers for the xfer gnome-vfs functions.
	* Added examples/transfer, which does not really work yet, but with
	which we can explore how the hell the xfer functions and callbacks
	are supposed to be used.

2003-07-15  Murray Cumming  <murrayc@usa.net>

	* libgnomevfs/libgnomevfsmm/mime-monitor.[h|cc]: Hide the 
	handle_error() function from the public header.
	* Various white space added.
	* Added examples/mime_type_list.
	* Made some get_() methods const.

2003-07-09  Bryan Forbes  <mxpxfifws@yahoo.com>
	
	* TODO: added subsection (b) to section 0; added a question to section 1.
	* docs/undocumented: added this file with classes/methods/functions that we
	need to document.
	* libgnomevfs/src/uri.hg: added documentation for create(), get_file_info(),
	create_symbolic_link(), and uri_exists(); added _IGNORE() for
	gnome_vfs_uri_equals and gnome_vfs_uri_exists since they are wrapped.
	* libgnomevfs/src/mime-application.hg: made is_user_owned() method and added
	set wrappers for each member.
	* libgnomevfs/libgnomevfsmm/application-registry.[h|cc]: documented all
	functions; changed sync() from returning a result to throwing an exception;
	added handle_result() to use in sync(); removed is_user_owned_application()
	and made it method of MimeApplication.
	* tools/m4/convert_gnome_vfsmm.m4: added conversion for 
	Glib::ustring -> char* and Glib::ListHandle<Glib::ustring> -> GList*.

2003-07-08  Bryan Forbes  <mxpxfifws@yahoo.com>
	* README: added some information.
	* TODO: detailed descriptions of what needs to be done to finish Mime stuff.
	* libgnomevfs/src/mime-application.hg: added documentation for all methods.
	* libgnomevfs/src/libgnomevfs_docs_override.xml: added documentation for
	MimeApplication::create_from_id().
	* libgnomevfs/libgnomevfsmm/mime-handlers.h: added documentation for all
	functions.

2003-07-07  Bryan Forbes  <mxpxfifws@yahoo.com>
	* libgnomevfs/libgnomevfsmm/mime-handlers.[h|cc]: wrapped what was left to
	wrap of the handlers code except for the Bonobo/component functions; see
	libgnomevfs/mime-unwrapped to see what else is left.
	* libgnomevfs/mime-unwrapped: went through the gnome-vfs docs and made a
	list of what needs to be completed for the Mime namespace.

2003-06-30  Bryan Forbes  <mxpxfifws@yahoo.com>
	* configure.in: check for gnome-vfs-module-2.0 because some mime functions
	are put there.
	* libgnomevfs/libgnomevfsmm/application-registry.[h|cc]: wrapped
	gnome_vfs_application_is_user_owned_application and
	gnome_vfs_application_registry_[get|save]_mime_application.
	* libgnomevfs/libgnomevfsmm/mime-handlers.[h|cc]: added Mime namespace for
	the mime-handler functions; wrapped most functions (some list stuff to be
	done).
	* libgnomevfs/libgnomevfsmm/Makefile.am: added mime-handlers.[h|cc] to the
	list of files to be built.
	* libgnomevfs/src/enums.hg: wrapped all Mime and Xfer enums.
	* libgnomevfs/src/libgnomevfs_enums.defs: removed GNOME_ prefix from the
	Mime enum defs.
	* libgnomevfs/src/Makefile_list_of_hg.am_fragment: added mime-application.hg
	and mime-action.hg to the list.
	* libgnomevfs/src/mime-action.[hg|ccg]: wrapped GnomeVFSMimeAction with
	_CLASS_GENERIC and created all necesary basic methods.
	* libgnomevfs/src/mime-application.[hg|ccg]: wrapped GnomeVFSMimeApplication
	with _CLASS_OPAQUE_COPYABLE, wrapped a static create method, and all member
	accessors.
	* libgnomevfs/libgnomevfsmm.h: included mime-application.h, mime-action.h,
	and mime-handlers.h.
	* tools/m4/convert_gnome_vfsmm.m4: added a conversion for GList* -->
	Glib::ListHandle<Glib::ustring>, GnomeVFSMimeApplication* -->
	MimeApplication, and MimeApplicationArgumentType <->
	GnomeVFSMimeApplicationArgumentType; also added a header to tell where the
	enumeration conversions begin.

2003-06-01  Bryan Forbes  <mxpxfifws@yahoo.com>

	* Changelog: fixed my past entries so changes are tabbed in and not two
	spaced in (ok, I'm anal retentive); also, took out the changelog entry from
	libgnomeuimm (not sure how that got in there...).
	* TODO: made a list of things to do (novel idea, huh?).
	* examples/Makefile.am: added directory_visit to the list of SUBDIRs.
	* examples/directory_visit/*: added an example to demonstrate
	DirectoryHandle::visit now that it's fixed.
	* examples/monitor: fixed the example so now it works.
	* configure.in: added examples/directory_visit/Makefile to AC_OUTPUT().
	* libgnomevfs/libgnomevfsmm/application-registry.cc: return a
	ListHandleStrings from get_keys(), get_applications(), and get_mime_types();
	return a Result from sync().
	* libgnomevfs/libgnomevfsmm/directory-handle.[h|cc]: wrapped
	gnome_vfs_directory_visit_files, gnome_vfs_directory_visit_files_at_uri, and
	gnome_vfs_directory_list_load.
	* libgnomevfs/libgnomevfsmm/monitor-handle.[h|cc]: removed the casting
	constructor since we don't use it anymore; changed the permissions to 644.
	* libgnomevfs/src/file-info.hg: added docs for get_*(); changed get_atime()
	to get_access_time(); added _IGNORE()'s for *_copy() and *_matches();
	wrapped gnome_vfs_file_info_dup as duplicate().
	* libgnomevfs/src/libgnomevfs_enums.defs: removed the GNOME_ from the XFER
	enums to prepare for the future.
	* tools/m4/convert_gnome_vfsmm.m4: added a _CONVERSION() for
	GnomeVFSFileInfo* -> Glib::RefPtr<FileInfo>.

2003-05-30  Murray Cumming  <murrayc@usa.net>

	* Added Byran's MonitorHandle wrapper and monitor handle, with my 
	fixes. Doesn't seem to actually work yet though.

2003-05-18  Murray Cumming  <murrayc@usa.net>

	* libgnomevfs/libgnomevfsmm/directory-handle.cc:
	SignalProxy_Visit:c_callback(): Used take_copy=true with Glib::wrap()
	on the info parameter, to take an extra ref for ourselves.

2003-05-12  Bryan Forbes  <mxpxfifws@yahoo.com>

	* libgnomevfs/src/file-info.hg: typedef'ed GnomeVFSFileOffset as FileOffset;
	wrapped gnome_vfs_file_info_matches with _WRAP_EQUAL() to get the == and !=
	operators.
	* libgnomevfs/src/uri.hg: changed to_string() to use URIHideOptions; wrapped
	gnome_vfs_uri_equal with _WRAP_EQUAL() to get the == and != operators.
	* libgnomevfs/libgnomevfsmm/handle.[h|cc]: changed seek() to use
	FileOffset and static_cast<>'ed where necesary.
	* libgnomevfs/src/Makefile.am: added libgnomevfs_docs.xml and
	libgnomevfs_docs_override.xml to the files_defs variable.
	* libgnomevfs/src/libgnomevfs_docs.xml: generated from gnome-vfs and
	docextract_to_xml.py from pygtk cvs.
	* libgnomevfs/src/libgnomevfs_docs_override.xml: documented all generated
	methods for Gnome::Vfs::Uri and Gnome::Vfs::FileInfo.
	* libgnomevfs/src/Makefile.am: added libgnomevfs_docs.xml and
	libgnomevfs_docs_override.xml to the files_defs variable.
	* build_shared/Makefile_gensrc.am_fragment: added --mergedocs to
	gtkmmproc_args.
	* tools/m4/convert_gnome_vfsmm.m4: added _CONVERSION()'s for
	FileOffset<->GnomeVFSFileOffset.

2003-05-07  Murray Cumming  <murrayc@usa.net>

	* libgnomevfs/libgnomevfsmm/handle.[h|cc], 
	  libgnomevfs/src/uri.[hg|ccg]:
	Moved some methods from Gnome::Vfs::Uri, to Gnome::Vfs::Handle, 
	where they are static. They match existing static Handle methods with
	the same name, that take text uri parameters.
	* libgnomevfs/libgnomevfsmm/handle.[h|cc]:
	Handle::tell() now has a return type instead of an output parameter.

2003-05-04  Bryan Forbes  <mxpxfifws@yahoo.com>

	* libgnomevfs/libgnomevfsmm/exception.h:
	* libgnomevfs/libgnomevfsmm/exception.cc: took the exception class out of
	uri.h and put it here; added constructor for Result enum and
	static_cast<>'ed where needed.
	* libgnomevfs/libgnomevfsmm/Makefile.am: added the new exception.{h|cc}
	files so they get built.
	* libgnomevfs/libgnomevfsmm/handle.h:
	* libgnomevfs/libgnomevfsmm/handle.cc: modified open(), create(), read(),
	write(), seek(), tell(), truncate(), and set_file_info() to use the new
	enums and typedef.
	* libgnomevfs/src/enums.hg: include libgnomevfs/gnome-vfs-file-info.h for
	the definitions for SetFileInfoMask; wrapped GnomeVFSOpenMode,
	GnomeVFSSeekPosition, GnomeVFSFileFlags, GnomeVFSFileType,
	GnomeVFSFilePermissions, and GnomeVFSSetFileInfoMask; added FileInfoOptions
	to this file.
	* libgnomevfs/src/file-info.hg: include enums.h; typedef GnomeVFSFileSize as
	FileSize; modified the _MEMBER_GET() params of type, permissions, flags,
	size, and block_count to use the new enums and typedef.
	* libgnomevfs/src/uri.hg:
	* libgnomevfs/src/uri.ccg: remove the inclusion of gnome-vfs-ops.h and the
	exception class; include exception.h.
	* libgnomevfs/src/libgnomevfs_enums.def: removed the GNOME_ prefix for
	GnomeVFSFileFlags, GnomeVFSFileType, GnomeVFSFileInfoFields,
	GnomeVFSFilePermissions, GnomeVFSFileInfoMask, GnomeVFSOpenMode, and
	GnomeVFSSeekPosition entries; replaced #error's in GnomeVFSFilePermissions
	with correct values from the API.
	* tools/m4/convert_gnome_vfsmm.m4: add _CONVERSION() macros for
	GnomeVFSOpenMode, GnomeVFSFileSize, GnomeVFSFileFlags, GnomeVFSFileType,
	GnomeVFSFilePermissions, and GnomeVFSSetFileInfoMask.
	* examples/directory_list/main.cc: removed the include for gnome-vfs.h,
	added some FileInfoOptions to the open, and output the mime-type of the
	files in the directory provided.
	* examples/simple/main.cc: removed the include for gnome-vfs.h, use our new
	enums instead of the old C enums, changed GnomeVFSFileSize to
	Gnome::Vfs::FileSize.

1.3.1:

2003-04-30  Bryan Forbes  <mxpxfifws@yahoo.com>

	* libgnomevfs/src/enums.hg: changed Result from a typedef to the
	newly found _WRAP_ENUM with a NO_GTYPE and removed the inclusion of 
	gnome-vfs-result.h.  Also, wrapped GnomeVFSURIHideOptions and 
	GnomeVFSDirectoryVisitOptions.
	* libgnomevfs/src/uri.hg: include enums.h so URIHideOptions can be used in
	the to_string method.
	* libgnomevfs/src/libgnomevfs_enums.defs: removed the GNOME_ prefix from the
	GnomeVFSResult, GnomeVFSURIHideOptions, and GnomeVFSDirectoryVisitOptions enum
	entries to get correct enum names (URI_* instead of VFS_URI_*).
	* libgnomevfs/libgnomevfsmm/directory-handle.h:
	* libgnomevfs/libgnomevfsmm/directory-handle.cc: changed visit_options from 
	GnomeVFSDirectoryVisitOptions to DirectoryVisitOptions in visit() and
	static_cast<>'ed to GnomeVFSDirectoryVisitOptions where needed.
	* tools/m4/convert_gnome_vfsmm.m4: added _CONVERSION() macros for
	Result<->GnomeVFSResult, URIHideOptions<->GnomeVFSURIHideOptions,
	FileInfoOptions<->GnomeVFSFileInfoOptions, and 
	DirectoryVisitOptions<->GnomeVFSDirectoryVisitOptions.

2003-04-27  Bryan Forbes  <mxpxfifws@yahoo.com>

	* libgnomevfs/src/file-info.hg: added NO_GTYPE parameter to _WRAP_ENUM
	to get correctly generated FileInfoOptions enum.
	* libgnomevfs/src/libgnomevfs_enums.defs: removed GNOME_ prefix from
	the GnomeVFSFileInfoOptions enum entry to get correct enum names (FILE_* 
	instead of VFS_FILE_*).
	* libgnomevfs/libgnomevfsmm/directory-handle.h:
	* libgnomevfs/libgnomevfsmm/directory-handle.cc:
	* libgnomevfs/libgnomevfsmm/handle.h:
	* libgnomevfs/libgnomevfsmm/handle.cc:
	* libgnomevfs/src/uri.hg:
	* libgnomevfs/src/uri.ccg: changed GnomeVFSFileInfoOptions to
	FileInfoOptions and did static_cast<GnomeVFSFileInfoOptions> where
	needed in the source.

2003-04-21  Bryan Forbes  <mxpxfifws@yahoo.com>

	* build_shared/Makefile_build_gensrc.am_fragment: took out the
	files_extra_h variable which was causing problems compiling.
	* libgnomevfs/gnome-vfsmm-2.0.pc.in: changed it to tell compiler
	to link against gnomevfsmm-1.3.* instead of gnome-vfsmm-1.3.
	* libgnomevfs/libgnomevfsmm/Makefile.am: added wrap_init.h to
	files_extra_h instead of +='ing it to the end, which didn't
	work and changed sublib_libname to gnome-vfsmm-2.0 so headers
	install correctly.
	
2003-04-27  Per Kristian Gjermshus  <pkg@newmad.no>
	
	* libgnomevfs/src/file-info.ccg, libgnomevfs/src/file-info.hg, 
	libgnomevfs/src/uri.hg: Made file_info functions work and throw
	exceptions.
	
2003-03-29  Murray Cumming  <murrayc@usa.net>

	* examples/Makefile.am_fragment: Include from distdir as well as
	srcdir to fix distcheck.
	* libgnomevfs/libgnomevfsmm/private/Makefile.am: Use _HEADERS instead
	of _DATA to fix distcheck.

2003-03-29  Murray Cumming  <murrayc@usa.net>

	* Added Gnome::Vfs::DirectoryHandle. Added member accessors to
	Gnome::Vfs::FileInfo. Added examples/directory_list.

2003-03-23  Murray Cumming  <murrayc@usa.net>

	* Added examples/simple, based on the C example Simple Sample Program
	in the gnome-vfs API documentation.

